std::__detail::_Executor< typename, typename, typename, bool >(3)

NAME
std::__detail::_Executor< typename, typename, typename, bool > -

SYNOPSIS

  Public Types
typedef iterator_traits
< _BiIter >::value_type _CharT"
typedef _TraitsT::char_class_type _ClassT
typedef
regex_constants::match_flag_type _FlagT"
typedef _NFA< _TraitsT > _NFAT
typedef basic_regex< _CharT,
_TraitsT > _RegexT"
typedef std::vector< sub_match
< _BiIter >, _Alloc > _ResultsVec"

  Public Member Functions
_Executor (_BiIter __begin, _BiIter __end, _ResultsVec &__results, const _RegexT &__re, _FlagT __flags)
bool _M_match ()
bool _M_search ()
bool _M_search_from_first ()

  Public Attributes
const _BiIter _M_begin
_ResultsVec _M_cur_results
_BiIter _M_current
const _BiIter _M_end
_FlagT _M_flags
bool _M_has_sol
std::unique_ptr< vector< pair
< _StateIdT, _ResultsVec > > > _M_match_queue"
const _NFAT & _M_nfa
const _RegexT & _M_re
_ResultsVec & _M_results
_StateIdT _M_start_state
std::unique_ptr< vector< bool > > _M_visited

Detailed Description

  template<typename, typename, typename, bool>class std::__detail::_Executor< typename, typename, typename, bool >
Takes a regex and an input string in and do the matching. The _Executor class has two modes: DFS mode and BFS mode, controlled by the template parameter __dfs_mode.

Definition at line 61 of file regex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.